Bug 40142 - Table of Contents from Custom Styles ignores level limit
Summary: Table of Contents from Custom Styles ignores level limit
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2011-08-16 07:39 UTC by Urmas
Modified: 2021-07-30 06:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample (9.68 KB, application/vnd.oasis.opendocument.text)
2011-08-16 17:35 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2011-08-16 07:39:38 UTC
1. Create 4-level hierarchy of custom styles
2. Insert TOC: "include upto level 2", "from custom styles", assign your styles levels 1-4

Result: TOC contains all 4 levels;
Expected: TOC contains only 1st and 2nd level.
Comment 1 m.a.riosv 2011-08-16 16:03:03 UTC
Can attach a sample file?
Comment 2 Urmas 2011-08-16 17:35:38 UTC
Created attachment 50290 [details]
Sample
Comment 3 Björn Michaelsen 2011-12-23 12:41:10 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2014-06-25 17:37:58 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-07-18 17:44:33 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-23 16:55:53 UTC
Repro with test file. Created new ToC.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-11-08 11:31:43 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-07-29 11:36:18 UTC
still repro in LO 6.1.0.1
Comment 9 QA Administrators 2019-07-30 03:15:00 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-07-30 06:22:24 UTC
Dear Urmas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug